package main

import (
	"database/sql"
    migration "bitbucket.org/prmunty/util/dbmigration/db"
	_ "github.com/mattn/go-sqlite3"

)

func main() {
	const version float64 = 6.0
	migration.Migrate(version, func(tx *sql.Tx) (err error) {
		return migration.DoUntilErr(tx,
			UpdateFreezeScreenTable,

		)
	})
}

func UpdateFreezeScreenTable(tx *sql.Tx) error {
    _, err := tx.Exec(`UPDATE freeze_data_compressor SET freeze_id=?,table_id=? WHERE freeze_id=?`,3638,4,12)
    return err
}