#!/bin/bash

#On Q6 ip commands within network namespace need to be executed by bash directly
#On Q5 this is not needed
#To stay consistent both implementations use the same code

#add a network namespace
ip netns add lns

#assign leth to namespace created
ip link set leth netns lns

#raise the interface
ip netns exec lns bash -c "ip link set leth up"

#assign ip and mask to interface
ip netns exec lns bash -c "ip addr add 192.168.0.105/24 dev leth"

#assign gateway to interface
ip netns exec lns bash -c "ip route add default via 192.168.0.1"
